原创

webpack css自动补全安装相关问题


react实现css自动补全

安装postcss-loader,autoprefixer

npm i postcss-loader autoprefixer -D

webpack.config.js新增配置

{
loader: 'postcss-loader',
	options: {
	plugins: [
		require('autoprefixer')
	]
	}
}

关于报错 postcss-loader版本问题

ValidationError: Invalid options object. PostCSS Loader has been.....

原因:postcss-loader版本问题

解决方法:

重新下载3.0.0 版本的postcss-loader:

npm i postcss-loader@3.0.0 -D

关于报错 autoprefixer版本问题

Error: PostCSS plugin autoprefixer requires PostCSS 8

原因:postcss-loader版本问题

解决方法:

重新下载8.0.0 版本的autoprefixer:

npm i autoprefixer@8.0.0
webpack
  • 作者:零三(联系作者)
  • 最后更新时间:2021-01-12 20:42
  • 版权声明:自由转载-非商用-非衍生-保持署名
  • 转载声明:来源地址 https://web03.cn
  • 评论